#!/bin/bash

FONDERIE="$HOME/Devel/FloatImg/Fonderie/fonderie"
SINGLEPASS="$HOME/Devel/FloatImg/Fonderie/singlepass"
INTERPOLATOR="$HOME/Devel/FloatImg/Fonderie/interpolator"

#	---------------------------------------------

function do_raw
{
DDIR="p8/raw"
rm "$DDIR/*.png"
${SINGLEPASS} -v -F "none" -g 'capture/0????.fimg' -O $DDIR
cp $DDIR/00200.png raw-panacam2.png
./encode.sh $DDIR Films/raw.mp4
}

#	---------------------------------------------

function do_colors
{
IFILTER="octotree"
OFILTER="liss2x2"
rm p8/*
${FONDERIE} -v -I 'capture/0????.fimg' 		\
		-E $IFILTER -F $OFILTER		\
		-T 32 -B 14
cp $DDIR/00200.png col-panacam2.png
./encode.sh col-panacam2.mp4
}

#	---------------------------------------------
function do_interp
{
IFILTER="gr2popcol"
OFILTER="cos010"
rm p8/*
${INTERPOLATOR} -v -E $IFILTER -F $OFILTER 	\
		-S 0				\
		'capture/0??[16]0.fimg' p8 56
cp $DDIR/00200.png irp-panacam2.png
./encode.sh irp-panacam2.mp4
}

#	---------------------------------------------

do_raw
# do_interp
# do_colors



